## twolamemp2enc

twolamemp2enc

## Properties

gfloat | ath-level | Read / Write
gint | bitrate | Read / Write
gboolean | copyright | Read / Write
GstTwoLameEmphasis | emphasis | Read / Write
gboolean | energy-level-extension | Read / Write
gboolean | error-protection | Read / Write
GstTwoLameMode | mode | Read / Write
gboolean | original | Read / Write
GstTwoLamePadding | padding | Read / Write
gint | psymodel | Read / Write
gboolean | quick-mode | Read / Write
gint | quick-mode-count | Read / Write
gboolean | vbr | Read / Write
gfloat | vbr-level | Read / Write
gint | vbr-max-bitrate | Read / Write

## Types and Values

struct | GstTwoLame

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstAudioEncoder
                        ╰── GstTwoLame

## Implemented Interfaces

GstTwoLame implements GstPreset.

## Description

## Synopsis

### Element Information

plugin | twolame
author | Sebastian Dröge <sebastian.droege@collabora.co.uk>
class | Codec/Encoder/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-raw, format=(string){ F32LE, S16LE }, layout=(string)interleaved, rate=(int){ 16000, 22050, 24000, 32000, 44100, 48000 }, channels=(int)1
| audio/x-raw, format=(string){ F32LE, S16LE }, layout=(string)interleaved, rate=(int){ 16000, 22050, 24000, 32000, 44100, 48000 }, channels=(int)2, channel-mask=(bitmask)0x0000000000000003

name | src
direction | source
presence | always
details | audio/mpeg, mpegversion=(int)1, layer=(int)2, rate=(int){ 16000, 22050, 24000, 32000, 44100, 48000 }, channels=(int)[ 1, 2 ]

## Functions

## Types and Values

### struct GstTwoLame

    struct GstTwoLame;

Opaque data structure.

## Property Details

### The `“ath-level”` property

      “ath-level”                gfloat

ATH Level in dB.

Owner: GstTwoLame

Flags: Read / Write

Default value: 0

### The `“bitrate”` property

      “bitrate”                  gint

Bitrate in kbit/sec (8, 16, 24, 32, 40, 48, 56, 64, 80, 96, 112, 128, 144, 160, 192, 224, 256, 320, 384).

Owner: GstTwoLame

Flags: Read / Write

Allowed values: [8,384]

Default value: 192

### The `“copyright”` property

      “copyright”                gboolean

Mark as copyright.

Owner: GstTwoLame

Flags: Read / Write

Default value: FALSE

### The `“emphasis”` property

      “emphasis”                 GstTwoLameEmphasis

Pre-emphasis to apply to the decoded audio.

Owner: GstTwoLame

Flags: Read / Write

Default value: No emphasis

### The `“energy-level-extension”` property

      “energy-level-extension”   gboolean

Write peak PCM level to each frame.

Owner: GstTwoLame

Flags: Read / Write

Default value: FALSE

### The `“error-protection”` property

      “error-protection”         gboolean

Adds checksum to every frame.

Owner: GstTwoLame

Flags: Read / Write

Default value: FALSE

### The `“mode”` property

      “mode”                     GstTwoLameMode

Encoding mode.

Owner: GstTwoLame

Flags: Read / Write

Default value: Joint Stereo

### The `“original”` property

      “original”                 gboolean

Mark as original.

Owner: GstTwoLame

Flags: Read / Write

Default value: TRUE

### The `“padding”` property

      “padding”                  GstTwoLamePadding

Padding type.

Owner: GstTwoLame

Flags: Read / Write

Default value: No Padding

### The `“psymodel”` property

      “psymodel”                 gint

Psychoacoustic model used to encode the audio.

Owner: GstTwoLame

Flags: Read / Write

Allowed values: [G_MAXULONG,4]

Default value: 3

### The `“quick-mode”` property

      “quick-mode”               gboolean

Calculate Psymodel every frames.

Owner: GstTwoLame

Flags: Read / Write

Default value: FALSE

### The `“quick-mode-count”` property

      “quick-mode-count”         gint

Calculate Psymodel every n frames.

Owner: GstTwoLame

Flags: Read / Write

Allowed values: >= 0

Default value: 10

### The `“vbr”` property

      “vbr”                      gboolean

Enable variable bitrate mode.

Owner: GstTwoLame

Flags: Read / Write

Default value: FALSE

### The `“vbr-level”` property

      “vbr-level”                gfloat

VBR Level.

Owner: GstTwoLame

Flags: Read / Write

Allowed values: [-10,10]

Default value: 5

### The `“vbr-max-bitrate”` property

      “vbr-max-bitrate”          gint

Specify maximum VBR bitrate (0=off, 8, 16, 24, 32, 40, 48, 56, 64, 80, 96, 112, 128, 144, 160, 192, 224, 256, 320, 384).

Owner: GstTwoLame

Flags: Read / Write

Allowed values: [0,384]

Default value: 0